GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_CREATE(1)

NAME

gcloud compute instance-groups managed create - create a Compute Engine managed instance group

SYNOPSIS

gcloud compute instance-groups managed create NAME --size SIZE --template TEMPLATE [--base-instance-name BASE_INSTANCE_NAME] [--description DESCRIPTION] [--target-pool [TARGET_POOL,...]] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed create creates a Google Compute Engine managed instance group. For example, running:
    $ gcloud compute instance-groups managed create \ example-managed-instance-group --zone us-central1-a \ --template example-instance-template --size 1
will create one managed instance group called 'example-managed-instance-group' in the us-central1-a zone.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--size SIZE
    The initial number of instances you want in this group.
--template TEMPLATE
    Specifies the instance template to use when creating new instances.

OPTIONAL FLAGS
--base-instance-name BASE_INSTANCE_NAME
    The base name to use for the Compute Engine instances that will be created with the managed instance group. If not provided base instance name will be the prefix of instance group name.
--description DESCRIPTION
    An optional description for this group.
--target-pool [TARGET_POOL,...]
    Specifies any target pools you want the instances of this managed instance group to be part of.
--zone ZONE
    The zone of the instance group manager to create. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.